# Chart schema

# --- !Ups

CREATE TABLE charts (
  id         INT(11)      NOT NULL PRIMARY KEY AUTO_INCREMENT,
  title      VARCHAR(255) NOT NULL,
  query      TEXT         NOT NULL,
  settings   TEXT         NOT NULL,
  user_id    INT(11)      NOT NULL,
  conn_id    INT(11)      NOT NULL,
  db         VARCHAR(255) NOT NULL,
  created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  FOREIGN KEY (user_id) REFERENCES users (id)
    ON DELETE CASCADE
    ON UPDATE CASCADE
);

# --- !Downs

DROP TABLE IF EXISTS charts;
