# License schema

# --- !Ups

CREATE TABLE licenses (
  id int(11) NOT NULL AUTO_INCREMENT,
  title varchar(255) NOT NULL,
  created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  license_type smallint(6) NOT NULL,
  app_type smallint(6) NOT NULL,
  user_count int(11) NOT NULL,
  is_active tinyint(1) NOT NULL,
  license longtext NOT NULL,
  token varchar(255) NOT NULL,
  PRIMARY KEY (id)
);

# --- !Downs

DROP TABLE IF EXISTS licenses;
